--- title: "Tips & tricks" slug: "tips-tricks-1" updated: 2025-08-19T11:52:31Z published: 2025-08-19T11:52:31Z canonical: "docs.grassfish.com/tips-tricks-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Tips & tricks Discover our collection of useful tips and tricks that will help you use the IXM Aqua API even more efficiently. ****Restrict to specific client**** Use the header `x-clientId: <ClientId>` to restrict your request to only the client whose client ID you specify. ****Use your own ID**** When you create a new entity, such as a broadcast, we recommend that you always provide your own ID to keep track of the entity you created. **Example:** The following example shows how to create a Share of Voice broadcast with `my-own-id` as ID. ```http POST https://connect.eu01.grassfish.com/api/broadcasts Authorization: Bearer xxx Content-Type: application/json [  {    "id": "my-own-id",    "name": "my-new-broadcast",    "type": "SoV",    "startDate": "2025-06-02T00:00:00.000Z",    "endDate": "2025-06-04T00:00:00.000Z",    "groups": [      {        "name": "Group 1",        "media": [        ],                "spotLengthSecs": 30,        "tags": [            {                "Id": "my-previous-created-sov-content-type-id",                "type": "ContentType"            }        ]      }    ],    "schedules": [    ]  } ] ``` Share of Voice (SOV) is a set of rules that ensures that a scheduled content type receives its allocated time in a loop that consists of a mix of multiple content types.